Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# UIPMC_Transport.h File Reference

`#include "tao/Transport.h"`
`#include "ace/SOCK_Stream.h"`
`#include "ace/Svc_Handler.h"`
`#include "portablegroup_export.h"`

Include dependency graph for UIPMC_Transport.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_UIPMC_Transport
| Specialization of the base TAO_Transport class to handle the MIOP protocol. More...
## Typedefs
typedef ACE_Svc_Handler< ACE_SOCK_STREAM, ACE_NULL_SYNCH > | TAO_UIPMC_SVC_HANDLER

## Detailed Description

Id:
  UIPMC_Transport.h,v 1.13 2003/12/29 15:16:30 dhinton Exp

Author:
  Frank Hunleth <fhunleth@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Svc_Handler<ACE_SOCK_STREAM, ACE_NULL_SYNCH> TAO_UIPMC_SVC_HANDLER